Subject: Documentation does not mention underscore (_)

From: Jon Wilkes <[email-masked]>
Date: Wed, 15 Mar 2017 13:41:03 -0700

Dear idutils,

Current documentation says about your text and perl scanners:

> ... default token constituents are the alpha-numerics ...

But shouldn't that should say

> ... default token constituents are the alpha-numerics plus underscore
> ...

or

> ... default token constituents are [_a-zA-Z0-9] ...

?

For example,

$ echo a_b >a.txt
$ mkid a.txt
$ lid # ...

What I got:

a_b            a.txt

Documents indicate I should get:

a              a.txt
b              a.txt

I like the inclusion of underscore in token constituents.

Thanks,
Jon Wilkes